ALTER TABLE IF EXISTS public.report_block
    ADD CONSTRAINT "repport_block_ForeignKey_group_id" FOREIGN KEY (block_group_id)
    REFERENCES public.report_block_group (report_block_group_id) MATCH SIMPLE
    ON UPDATE NO ACTION
    ON DELETE NO ACTION
    NOT VALID;
CREATE INDEX IF NOT EXISTS "fki_repport_block_ForeignKey_group_id"
    ON public.report_block(block_group_id);

ALTER TABLE public.report_block ALTER COLUMN block_name TYPE character varying(200) COLLATE pg_catalog."default";


INSERT INTO esia_plugins(plugin_id, plugin_name, plugin_path,plugin_type,plugin_default_interval_time, plugin_description, plugin_priority, plugin_manufacturer,plugin_tag, plugin_cron_type, plugin_cron_only_existing)	VALUES (DEFAULT,'CRON_REPORT_GENERATE','/usr/local/esia/public_html/plugin/report/report_generate_cron.php','cron',86400000,'Génération des rapport',5,'ESIA','ESIA,REPORT,CRON','day', true);
INSERT INTO public.esia_cron_plugin(
	cron_id, cron_plugin_id, cron_interval, cron_next_exec, cron_log_file, cron_retries, cron_retries_interval)
	VALUES (DEFAULT, (SELECT plugin_id FROM esia_plugins WHERE plugin_name='CRON_REPORT_GENERATE') ,'1 day'::interval,CURRENT_DATE+interval '7 hour','report_$SERVICEID_$DATE.log',1,'30 minute'::interval);

ALTER TABLE IF EXISTS public.report_include_block ADD COLUMN include_block_name text;
ALTER TABLE IF EXISTS public.report_include_block ADD COLUMN include_block_description text;

INSERT INTO public.esia_configuration(config_key, config_value, config_description, config_type, config_visibility)	VALUES ('REPORT_DURING','365','Nombre de jour qu''on garde les rapports','integer',false);
