<?php
require_once '/usr/local/esia/public_html/plugin/report/report.conf.php';
require_once REPORT_COMMON_BLOCK;

$path = rtrim ($_SERVER['DOCUMENT_ROOT'],'/');
include_once $path.'/esia.conf.php';
include_once $path.'/Model_esia.php';
include_once $path.'/plugin/report/Model_Report.php';
$rrdpath='/usr/local/esia/public_html/data/rra/';

if($action=="generate")
{	
// 	$param = json_decode($query['include_parameter'],true);
	$template_path = $path.'/plugin/report/templates/';
	$param = $block['parameters'];
	if($param['type']=="service" || $param['type']=="groupenoeudplugin")
	{		
		$services_id=array();
		if($param['type']=="groupenoeudplugin")
		{
			foreach ($param['pluginid'] as $id)
			{
				$service = Model_esia::getServiceOfPlugin($dbconnection,$id);
				foreach ($service as $s)
				{						
					$services_id[]=$s['service_id'];
				}
			}
		}
		else
		{
			$services_id=$param['serviceid'];
		}			
		$services_all=array();
		foreach ($services_id as $i)
		{					
			$services = Model_esia::getServices($dbconnection,null,$i);
			$services = $services[0];
	
			$services = exctractUnitServiceValue($dbconnection,$services);
			if(!empty($services['value'])&& $services['value']!=null)
			{		
				if($param['affiche_groupNoeud']==true)
				{
					$node = Model_esia::InstanceNode($dbconnection,$services['device_id']);			
					$services['device_group_name']=$node->getGroup();
				}
				if($param['affiche_MinMax']==true)
				{
					$value = getServiceMaxMinValue($dbconnection,$services['id'],$interval,-'1d',$rrdpath);
					$services['minMax']=$value;
// 					print_r($value);
				}
// 				createelementTab($param,$services,$lang);
				//remplacer la function createelementTab :

				$common_name = Model_esia::getCommonName($lang, $services['name'], $services['check_plugin_name']);
				$smarty->assign('common_name',str_replace('_',' ',$common_name));
				
				if($param['affiche_MinMax']==true)
				{
					foreach($services['minMax'] as $key => $line )
					{
						if($line['unit'] =='B')
						{
							$smarty->assign('min',formatBytes($line['min'],2));
						}
						else
						{
							$smarty->assign('min',$line['min'].$line['unit']);
						}
					}
					foreach($services['minMax'] as $key => $line )
					{
						if($line['unit'] =='B')
						{
							$smarty->assign('max',formatBytes($line['max'],2));
						}
						else
						{
							$smarty->assign('max',$line['max'].$line['unit']);
						}
					}
					foreach($services['minMax'] as $key => $line )
					{
						if($line['unit'] =='B')
						{
							$smarty->assign('delta',formatBytes($line['delta'],2));
						}
						else
						{
							$smarty->assign('delta',$line['delta'].$line['unit']);
						}
					}
				}
			}
			else
			{
				$common_name = Model_esia::getCommonName($lang, $services['name'], $services['check_plugin_name']);
				$smarty->assign('device_name',$services['device_name']);
				$smarty->assign('common_name',$common_name);
			}
			$services_all[] =$services ;
		}
		$smarty->assign('services_all',$services_all);
	}
	elseif($param['type']=="groupenoeud" || $param['type']=="noeud")
	{
		$tab_id_node = array();	
		if(is_null($user)==false)
		{
			$tab_id_node=nodeOrGroupNode($dbconnection,$param,$user->getId());
		}
		else
		{
			$report_user = Model_Report::getOwnerCanevas($dbconnection,$query['include_canevas_id']);
			$iduser = $report_user;
			$tab_id_node=nodeOrGroupNode($dbconnection,$param,$iduser[0]);
		}
		$services_all=array();
		foreach ($tab_id_node as $node)
		{	
			$services = Model_esia::getServices($dbconnection,$node['id'],null);

			foreach ($services as $key => $service)
			{				
				$service = exctractUnitServiceValue($dbconnection,$service);
				if(!empty($service['value'])&& $service['value']!=null)
				{
					if($param['affiche_groupNoeud']==true)
					{
						$node = Model_esia::InstanceNode($dbconnection,$service['device_id']);
						$service['device_group_name']=$node->getGroup();
					}
					if($param['affiche_MinMax']==true)
					{
						$value = getServiceMaxMinValue($dbconnection,$service['id'],$interval,$dateFin,$rrdpath);
						$service['minMax']=$value;
// 						print_r($value);
					}
// 					createelementTab($param,$service,$lang);
					//remplacer la function createelementTab :
// 					$services=$services[0];
					
					$smarty->assign('device_group_name',$service['device_group_name']);
					$smarty->assign('device_name',$service['device_name']);
					$smarty->assign('device_type',$service['device_type']);
					$smarty->assign('stdout',$service['stdout']);
					$smarty->assign('value',$service['value']);
					
					$common_name = Model_esia::getCommonName($lang, $service['name'], $service['check_plugin_name']);
					$smarty->assign('common_name',str_replace('_',' ',$common_name));
					$service['common_name']=str_replace('_',' ',$common_name);
					
					if($param['affiche_MinMax']==true)
					{
						foreach($services['minMax'] as $key => $line )
						{
							if($line['unit'] =='B')
							{
// 								echo formatBytes($line['min'],2).'<br />';
								$smarty->assign('min',formatBytes($line['min'],2));
								$service['min']=formatBytes($line['min'],2);
// 								$services[$key]['min']=formatBytes($line['min'],2);
							}
							else
							{
// 								echo $line['min'].$line['unit'].'<br />';
								$smarty->assign('min',$line['min'].$line['unit']);
								$service['min']=$line['min'].$line['unit'];
// 								$services[$key]['min']=$line['min'].$line['unit'];
							}
						}
						foreach($services['minMax'] as $key => $line )
						{
							if($line['unit'] =='B')
							{
// 								echo formatBytes($line['max'],2).'<br />';
								$smarty->assign('max',formatBytes($line['max'],2));
								$service['max']=formatBytes($line['max'],2);
// 								$services[$key]['max']=formatBytes($line['max'],2);
							}
							else
							{
// 								echo $line['max'].$line['unit'].'<br />';
								$smarty->assign('max',$line['max'].$line['unit']);
								$service['max']=$line['max'].$line['unit'];
// 								$services[$key]['max']=$line['max'].$line['unit'];
							}
						}
						foreach($services['minMax'] as $key => $line )
						{
							if($line['unit'] =='B')
							{
// 								echo formatBytes($line['delta'],2).'<br />';
								$smarty->assign('delta',formatBytes($line['delta'],2));
								$service['delta']=formatBytes($line['delta'],2);
// 								$services[$key]['delta']=formatBytes($line['delta'],2);
							}
							else
							{
// 								echo $line['delta'].$line['unit'].'<br />';
								$smarty->assign('delta',$line['delta'].$line['unit']);
								$service['delta']=$line['delta'].$line['unit'];
// 								$services[$key]['delta']=$line['delta'].$line['unit'];
							}
						}
					}
					
				}
				else
				{
					$common_name = Model_esia::getCommonName($lang, $service['name'], $service['check_plugin_name']);
// 					echo "<tr><td colspan='9'> ERROR ".$service['device_name']." ".$common_name.". </td></tr>";
					$smarty->assign('device_name',$services['device_name']);
					$smarty->assign('common_name',$common_name);
				}
				$services_all[] = $service;
			}
		}

		$smarty->assign('services_all',$services_all);
// 		echo '</tbody></table></div></section>';
	}
	$smarty->assign('title_text_align',$param['title']['style']['text-align']);
	$smarty->assign('title_font_size',$param['title']['style']['font-size']);
	$smarty->assign('title_color',$param['title']['style']['color']);
	$smarty->assign('title_text',$param['title']['text']);
	
	$smarty->assign('description_text_align',$param['description']['style']['text-align']);
	$smarty->assign('description_font_size',$param['description']['style']['font-size']);
	$smarty->assign('description_text',$param['description']['text']);
	
	$smarty->assign('affiche_groupNoeud',$param['affiche_groupNoeud']);
	$smarty->assign('affiche_type',$param['affiche_type']);
	$smarty->assign('affiche_message',$param['affiche_message']);
	$smarty->assign('affiche_MinMax',$param['affiche_MinMax']);
	
	$smarty->assign('action','generate');
	
	$smarty->display($template_path.'value_service.html');
}
elseif($action=="update")
{
	$template_path = $path.'/plugin/report/templates/';
// 	$param = json_decode($query['include_parameter'],true);
// 	$param = $query['parameters'];
	$param = $block['parameters'];
// 	echo '<pre>' ;
// 	print_r($block);
// 	echo '</pre>' ;
	$rightWriting=$_GET['writingright'];	
	if(!isset($rightWriting))
	{
		$rightWriting=$_POST['writingright'];
	}
	$smarty->assign('rightWriting',$rightWriting);
	$smarty->assign('block',$block);
	$smarty->assign('param',$param);	
	$taille = explode("px", $param['title']['style']['font-size']);
	$smarty->assign('TaillePoliceTitle',$taille[0]);
	$taille = explode("px", $param['description']['style']['font-size']);
	$smarty->assign('TaillePoliceDescr',$taille[0]);
	$smarty->assign('AlignTilte',$param['title']['style']['text-align']);
	$smarty->assign('AlignDesc',$param['description']['style']['text-align']);
	if(isset($_POST['blockid'])&&!empty($_POST['blockid']))
	{
		try
		{
			// Param Title
			$param['title']['text']=$_POST["blockname"];
			$TaillePoliceTitle = $_POST["namesize"];
			$param['title']['style']['font-size']=$TaillePoliceTitle."px";
			$param['title']['style']['text-align']=$_POST["nameposition"];
			$param['title']['style']['color']=$_POST["blockcolor"];
			
			// Param Descr
			$param['description']['text']=$_POST["blockdescription"];
			$TaillePoliceDescr=$_POST["blocksize"];
			$param['description']['style']['font-size']=$TaillePoliceDescr."px";
			$param['description']['style']['text-align']=$_POST["desciptionposition"];
		
			// Service & Noeud
			if($param['type']=='service')
			{
				$param['nodeid']=$_POST['nodes'];
				$param['serviceid']=$_POST['services'];
			}
			elseif ($param['type']=='noeud')
			{
				$param['nodeid']=$_POST['nodes'];
			}
			else
			{
				$param['groupnodeid']=$_POST['groupnodes'];
				$param['pluginid']=$_POST['services'];							
			}
		
			// Affichage colonne			
			$param['affiche_message']=$_POST['messageError'];
			$param['affiche_groupNoeud']=$_POST['groupNoeud'];
			$param['affiche_type']=$_POST['type'];
			$param['affiche_MinMax']=$_POST['MinMAX'];
			$paramSave = json_encode($param);

			Model_Report::UpdtReportIncludeBlock($dbconnection,$_POST['blockid'],$block['include_block_id'],$block['include_canevas_id'],$block['include_position'],$paramSave);
			$smarty->assign('l_success',$lang['UPDATE_DASHBOARD_SUCCESS']);
		}
		catch (EsiaDbException $e)
		{
			$smarty->assign('l_error',$e->getMessage());
		}
		catch (Exception $e)
		{
			$smarty->assign('l_error',$e->getMessage());
		}
		
		$smarty->assign('param',$param);
		$taille = explode("px", $param['title']['style']['font-size']);
		$smarty->assign('TaillePoliceTitle',$taille[0]);
		$taille = explode("px", $param['description']['style']['font-size']);
		$smarty->assign('TaillePoliceDescr',$taille[0]);
		$smarty->assign('AlignTilte',$param['title']['style']['text-align']);
		$smarty->assign('AlignDesc',$param['description']['style']['text-align']);
	}
		
	$listnode = array();
	$listgroupnode = array();
	$listservice = array();
	//Récupération des services
	if($param['type']=="service")
	{
		if(!empty($param['serviceid']))
		{
			$services = Model_esia::getServices($dbconnection,null,$param['serviceid']);		
			foreach($services as $ser)
			{
				if(!in_array($ser['device_id'],$listnode))
					$listnode[]=$ser['device_id'];
			}
			foreach($services as $ser)
			{
				$listservice[]=$ser['id'];
			}
		}
		$smarty->assign('serviceid',$listservice);
		
		$nodes = Model_esia::getNodeList($dbconnection,$user->getId(),null,Model_esia::NODE_INSTANCE);
		$list=array();

		foreach($nodes as $node)
		{
			$selected='no';
			if(in_array($node->getId(),$listnode))
			{
				$selected='yes';
			}
			$list[]=array('id'=>$node->getId(),
					'name'=>$node->getGroup().'>'.$node->getName(),
					'selected'=>$selected			
			);
		}
	}
	elseif($param['type']=="noeud")
	{
		//Récupération des noeuds
		$nodes = Model_esia::getNodeList($dbconnection,$user->getId(),null,Model_esia::NODE_INSTANCE);
		$list=array();
		foreach($nodes as $node)
		{
			$selected='no';
			if(in_array($node->getId(),$param['nodeid']))
			{
				$selected='yes';
			}
			$list[]=array('id'=>$node->getId(),
					'name'=>$node->getGroup().'>'.$node->getName(),
					'selected'=>$selected					
			);
		}
	}
	elseif($param['type']=="groupenoeud")
	{
		$list = Model_esia::getNodeGroupHierarchyByUser($dbconnection,$user->getId());
		$list_group_node=array();
		foreach($list as $node)
		{
			$selected='no';
			if(in_array($node['id'],$param['groupnodeid']))
			{
				$selected='yes';
			}
				
			$list_group_node[]=array('id'=>$node['id'],
					'name'=>$node['name'],
					'selected'=>$selected);
		}
	}
	else
	{
		if(!empty($param['pluginid']))
		{			
			$plugins = Model_esia::getPluginOfGroupNode($dbconnection,null,$param['pluginid'],$user->getId());	
			/*foreach ($plugins as $plugin)
			{
				if(!in_array($plugin['device_group_id'],$listgroupnode))
					$listgroupnode[]=$plugin['device_group_id'];
			}*/
			foreach($plugins as $plugin)
			{
				$listservice[]=$plugin['id'];
			}		
		}
		$arr_unique=array();
		$arr_unique=array_unique($listservice);
		$listservice=array();
		foreach ($arr_unique as $val)
		{
			$listservice[]=$val;
		}
		$smarty->assign('serviceidgroup',$listservice);
		
		$list = Model_esia::getNodeGroupHierarchyByUser($dbconnection,$user->getId());
		$list_group_node=array();
		foreach($list as $node)
		{
			$selected='no';
			if(in_array($node['id'],$param['groupnodeid']))
			{
				$selected='yes';
			}
				
			$list_group_node[]=array('id'=>$node['id'],
					'name'=>$node['name'],
					'selected'=>$selected);
		}
	}
	$smarty->assign('adm_list_node',$list);
	$smarty->assign('adm_list_group_node', $list_group_node);
	$smarty->assign('action','update');
	$smarty->display($template_path.'value_service.html');
}
elseif($action =="getservicenoeud")
{
	$template_path = $path.'/plugin/report/templates/';
	if(isset($_GET['nodeid']))
	{
		$tablenodeid = json_decode($_GET['nodeid']);
		$list=array();				
		
		foreach($tablenodeid as $nodeid)
		{			
			$node = Model_esia::InstanceNode($dbconnection, $nodeid);			
			if($user->getAccess($dbconnection, "device_view",$node->getName())==1)
			{
				$services = Model_esia::getServices($dbconnection,$node->getId());
				foreach ($services as $service)
				{
					$list[$service['id']]=$node->getName().' > '.$service['name'];
				}
			}
		}
		echo json_encode($list);
		exit(0);
	}
}
elseif ($action=="getserviceofgroupnode")
{
	$template_path = $path.'/plugin/report/templates/';
	if(isset($_GET['groupnodeid']))
	{		
		$tablegroupnodeid = json_decode($_GET['groupnodeid']);
		$list=array();	
		foreach($tablegroupnodeid as $groupnodeid)
		{
			$plugins = Model_esia::getPluginOfGroupNode($dbconnection, $groupnodeid,null,$user->getId());
			foreach ($plugins as $plugin)
			{
				$list[$plugin['id']]=$plugin['name'];				
			}
		}	
		$list=array_unique($list);
		echo json_encode($list);
		exit(0);
	}
}

function exctractUnitServiceValue($dbconnection,$service)
{
	$ret = null;		
	$value=$service['value'];
	if(!empty($value) && $value!=null)
	{
		ksort($value,SORT_STRING|SORT_FLAG_CASE);
		foreach ($value as $key=>$val)
		{
			$unit = Model_esia::getRrdPlugin($dbconnection,$service['plugin_id'],$key);	
			if($unit=='percent')$unit='%';
			elseif($unit=='Bytes')$unit='MB';
			elseif ($unit=='temperature')$unit='°C';
			elseif ($unit=='Celsius')$unit='°C';
			elseif ($unit=='number'||$unit=='LINE1'||$unit=='AREA')$unit='';
			$value_service = $service['value'][$key];
			if ($key=='temperature_cpu1')$key='temperature cpu';
			elseif ($key=='temperature_sys')$key='temperature system';
			$ret = $ret."  ".ucfirst($key)." : ".$value_service." ".$unit." <br> ";
			//$ret[] = ucfirst($key)." : ".$service['value'][$key]." ".$unit." <br>";
		}				
		$service['value']=rtrim($ret,' <br> ');
		//$service['value']=$ret;
		$service['stdout'] = explode('\|',$service['stdout']);
		$service['stdout']=$service['stdout'][0];
	}
	else
	{		
		$service['value']="NO DATA";		
	}
	
	$ret=$service;	
	return $ret;
}


/**
 * @brief fais la difference entre noeud et groupe de noeud et retourne les bons param's
 * @detail retourne un array contenant les paramètres utlisés qu'importe que ce soit un noeud ou groupe de noeud
 * @param PDO $dbconnection
 * @param array $param contient les param du block
 * @retval unknown[][]|NULL[][]
 * @throw void
 */

function nodeOrGroupNode($dbconnection,$param,$userid)
{
	$tab_id_node=array();
	if($param['type']=="noeud")
	{
		foreach($param['nodeid'] as $val)
		{
			$node=Model_esia::InstanceNode($dbconnection,$val);
			$tab_id_node[] = array('id'=>$val,'parent'=>$node->getGroup(),'ip'=>$node->getIPAddress());
		}
	}
	else
	{
		foreach ($param['groupnodeid'] as $groupnode )
		{
			$tab_group_node = Model_esia::getAllNodeofGroup($dbconnection,$userid,$groupnode);
			//$tab_group_node = Model_esia::getNodeList($dbconnection,null,$groupnode,$t_return = Model_esia::NODE_INSTANCE);
			foreach ($tab_group_node as $node)
			{
				$tab_id_node[] = array('id'=>$node->getId(),'parent'=>$node->getGroup(),'idgroup'=>$node->getGroupId(),'ip'=>$node->getIPAddress());
			}
		}
	}
	return $tab_id_node;
}
/**
 @brief retourne le code html d'incident
 @params array $param contient les paramètres de l'includeblock
 @params array $query liste des erreurs des services
 @params array $lang contient les traductions
 */


/**
 @brief retourne la valeur associé à la clé
 @detail retourne la valeur associé au paramètre. ou une valeur par défaut
 @params array $options le tableau de paramètre global
 @params string $name1 le nom court du paramètre (ex: -H 127.0.0.1)
 @params string $name2 le nom long du paramètre (ex: --host 127.0.0.1)
 @params string $default (optionnel) la valeur par défaut du paramètre s'il n'est pas spécifié
 @retval	null|mixed la valeur du paramètre
 @throw void
 */

/**
 @brief retourne la valeur en % moyenne du service
 @detail retourne en pourcentage la valeur du service
 @params int $service_id l'identifiant du service
 @params string $interval nombre de jour de décalage (ex: -30d)
 @params string $dateFin Soit N si c'est aujourd'hui ou alors -'x'd  (x = valeur nombre de jour)
 @params string $rrdpath path pour les rrd
 @retval	int la valeur du service (%)
 @throw void
 */

function getServiceMaxMinValue($dbconnection,$service_id,$interval,$dateFin,$rrdpath)
{
	$query= $dbconnection->prepare("SELECT service_id,service_name,service_parameter,service_last_stdout,device_name,plugin_name,
								rrd_type,rrd_regex,rrd_time,rrd_name,rrd_max,rrd_min,rrd_vertical_label,rrd_graph_color,rrd_graph_type,rrd_regex_threshold,rrd_graph_num
							FROM esia_services
							JOIN esia_device ON device_id = service_device_id
							JOIN esia_plugins ON plugin_id = service_plugin_id
							JOIN rrd_plugins ON rrd_plugin_id=service_plugin_id WHERE service_id=? ORDER BY rrd_graph_type,rrd_name;");
	$ret = $query->execute(array($service_id));
	if($ret===false)
	{
		$err = $query->errorInfo();
		echo "DB error: ".$err[2]."\n";
	}
	$arr_rrd=$query->fetchAll(PDO::FETCH_OBJ);
// 	echo '<pre>' ;
// 	print_r($arr_rrd);
// 	echo '</pre>' ;
	//liste les information pour générer le graphique et les sépares suivant leurs numéros (clé rrd_graph_num)
	$list_file=array();
	$data = array();
	foreach($arr_rrd as $row)
	{
		$filename = $rrdpath.$row->device_name.'/'.$row->plugin_name.$row->service_id.$row->rrd_graph_num.'.rrd';			
// 		echo $filename.'</br>' ;
		if(is_file($filename) && !in_array($filename, $list_file))
		{
			$list_file[]=$filename;
			$ret = rrd_fetch($filename, array( "AVERAGE", "--start",$interval, "--end",$dateFin));
			foreach($ret['data'] as $key => $rrddata)
			{
				$min=null;
				$max=null;
				foreach($rrddata as $value)
				{
					if(stristr($value,'NAN')==FALSE)
					{
						if($min == null && $max ==null)
						{
							$min = $value;
							$max = $value;
						}
						if($value < $min)
						{
							$min = $value;
						}
						if($value > $max)
						{
							$max = $value;
						}
					}
				}
				echo $max ;
				$unit = $row->rrd_vertical_label;
				if($unit=='percent')$unit='%';
				elseif($unit=='Bytes')$unit='B';
				elseif ($unit=='temperature')$unit='°C';
				elseif ($unit=='Celsius')$unit='°C';
				elseif ($unit=='number'||$unit=='LINE1'||$unit=='AREA')$unit='';
				
				$data[strtolower($key)]=array('min'=>round($min,2),'max'=>round($max,2),'delta'=>round($max - $min,2),'unit'=>$unit);
			}
		}
	}
	ksort($data);
	return $data;
}
function formatBytes($bytes, $precision = 2) {
	$units = array('', 'KB', 'MB', 'GB', 'TB');
	$base = log($bytes, 1024);
	return round(pow(1024, $base - floor($base)), $precision) .' '. $units[floor($base)];
} 
?>
